> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter Agente de Callback

> Recuperar configuração de callback e estatísticas de um agente específico

# Obter Agente de Callback

Recupera a configuração detalhada de callback para um único agente, incluindo seus agentes de origem e a atividade recente de callback.

## Endpoint

```
GET /api/v1/callback-agents/{agent_id}
```

## Parâmetros de caminho

<ParamField path="agent_id" type="string" required>UUID do agente de callback.</ParamField>

## Cabeçalhos da requisição

<ParamField header="Authorization" type="string" required>
  Token Bearer para autenticação. Formato: `Bearer talq_your_environment_token_here`
</ParamField>

## Exemplos

<RequestExample>
  ```bash theme={null}
  curl "https://app.talkover.ai/api/v1/callback-agents/agent-uuid-1" \
    -H "Authorization: Bearer talq_your_environment_token_here"
  ```
</RequestExample>

## Resposta

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "agent": {
        "id": "agent-uuid-1",
        "name": "Callback Handler",
        "direction": "inbound",
        "current_status": "published"
      },
      "source_agents": [
        { "id": "agent-uuid-2", "name": "Sales Outbound" },
        { "id": "agent-uuid-3", "name": "Survey Outbound" }
      ],
      "stats": {
        "total_callbacks_received": 184,
        "callbacks_answered": 142
      }
    }
  }
  ```
</ResponseExample>

## Respostas de erro

### 404 — Não é um Agente de Callback

<ResponseExample>
  ```json theme={null}
  {
    "success": false,
    "message": "Agent is not configured as a callback agent"
  }
  ```
</ResponseExample>

## Observações

* Para configurar um agente como callback, use [Definir Agente como Callback](/api-reference/endpoints/set-agent-as-callback).
